> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotstuff.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Internal Balance Transfer Request

> Send POST request to /exchange, or use the ExchangeClient SDKs.

Rebalance funds between your `spot` and `derivatives` balances.


## OpenAPI

````yaml openapi/exchange/collateral-transfers/internal-balance-transfer.json POST /exchange
openapi: 3.0.3
info:
  title: Hotstuff Exchange API — Internal Balance Transfer Request
  version: 1.0.0
servers:
  - url: https://api.hotstuff.trade
  - url: https://testnet-api.hotstuff.trade
security: []
paths:
  /exchange:
    post:
      summary: Internal Balance Transfer Request
      operationId: exchangeCollateralTransfersInternalBalanceTransfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        collateralId:
                          type: integer
                        amount:
                          type: string
                        toDerivativesAccount:
                          type: boolean
                        nonce:
                          type: integer
                      required:
                        - collateralId
                        - amount
                        - toDerivativesAccount
                        - nonce
                    type:
                      type: string
                  required:
                    - data
                    - type
                signature:
                  type: string
                nonce:
                  type: integer
              required:
                - action
                - signature
                - nonce
              example:
                action:
                  data:
                    collateralId: 1
                    amount: '5.0'
                    toDerivativesAccount: true
                    nonce: 1769690769140
                  type: internalBalanceTransferRequest
                signature: >-
                  0xfe11e1a13facd541cf8c7a03a61b32044acec9afb1f92cc9bb9beb254d0ddcf0...
                nonce: 1769690769140
            examples:
              default:
                summary: Example request
                value:
                  action:
                    data:
                      collateralId: 1
                      amount: '5.0'
                      toDerivativesAccount: true
                      nonce: 1769690769140
                    type: internalBalanceTransferRequest
                  signature: >-
                    0xfe11e1a13facd541cf8c7a03a61b32044acec9afb1f92cc9bb9beb254d0ddcf0...
                  nonce: 1769690769140
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                  tx_type:
                    type: integer
                  error:
                    type: string
                  data:
                    type: object
                    properties: {}
                  address:
                    type: string
              example:
                tx_hash: >-
                  0x8ca2e333c5439263c7599e58599bd58d9392375bab7ced088eae9813664bbac3
                tx_type: 1053
                error: ''
                data: {}
                address: '0xEc6d21B8c1FF6dF523F22c4cf54F077e5F7cAfBf'

````